İzleme ve sonuç sorgulama için tek bir Midjourney görev durumunu hızlı ve güvenilir şekilde almak üzere CometAPI GET /mj/task//fetch uç noktasını kullanın.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}statusprogressimageUrl veya videoUrlcustomId değerleri için buttonsSUCCESS, MODAL veya FAILURE durumuna ulaşana kadar polling yapmaya devam edinbuttons dizisini kabul edinimageUrl kullanınBearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}